/*  $Header: /home/cvsroot/miktex-ktug/dvipdfm-kor/subfont.h,v 1.3 2002/03/04 04:11:16 chofchof Exp $
 
    subfont.h - implements the subfont feature in dvipdfm-jpn

    Copyright (C) 2002 by Jin-Hwan Cho <chofchof@ktug.or.kr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SUBFONT_H
#define SUBFONT_H

extern int load_sfd_record(const char *tex_name, char *sfd_name, int len_sub_name);
unsigned int lookup_sfd_record(int subfont_id, unsigned char s);
extern void release_sfd_record(void);
extern char *sfd_sfd_name(int subfont_id);
extern char *sfd_sub_name(int subfont_id);

#endif /* SUBFONT_H */
